pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2015-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.CommonMark

Description

Conversion of CommonMark-formatted plain text to `Pandoc` document.

CommonMark is a strongly specified variant of Markdown: http://commonmark.org.

Synopsis

- readCommonMark :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc

# Documentation

readCommonMark :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc Source #

Parse a CommonMark formatted string into a `Pandoc` structure.